Stats
Current stats
Resolves the location from the X-Vendor-Request-Key header (slot); no location_id in the path.
This endpoint retrieves current stats for a specific location.
Parameters
- balance_type (optional): Which account balances to include. “positive” returns only debit balances, “negative” returns only credit balances, “all” returns both. Defaults to “all”.
GET
/
current
/
stats
Current stats
curl --request GET \
--url https://api.teamcaredental.com/api/v2/vendors/current/stats \
--header 'Authorization: Bearer <token>' \
--header 'X-Vendor-Request-Key: <api-key>'import requests
url = "https://api.teamcaredental.com/api/v2/vendors/current/stats"
headers = {
"Authorization": "Bearer <token>",
"X-Vendor-Request-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Vendor-Request-Key': '<api-key>'}
};
fetch('https://api.teamcaredental.com/api/v2/vendors/current/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.teamcaredental.com/api/v2/vendors/current/stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Vendor-Request-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.teamcaredental.com/api/v2/vendors/current/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Vendor-Request-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.teamcaredental.com/api/v2/vendors/current/stats")
.header("Authorization", "Bearer <token>")
.header("X-Vendor-Request-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.teamcaredental.com/api/v2/vendors/current/stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Vendor-Request-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"reactivation": {
"total": 0,
"had_hygiene": 0,
"never_had_hygiene": 0,
"eligible": 0,
"eligible_hygiene": 0,
"active_call_cycle": 0,
"attempts_mtd": 0,
"attended_mtd": 0
},
"accounts_receivable": [
{
"category": "string",
"number_of_patients": 0,
"total_balance": "string",
"average_balance": 0
},
{
"category": "string",
"number_of_patients": 0,
"total_balance": "string",
"average_balance": 0
},
{
"category": "string",
"number_of_patients": 0,
"total_balance": "string",
"average_balance": 0
},
{
"category": "string",
"number_of_patients": 0,
"total_balance": "string",
"average_balance": 0
}
],
"average_production_per_patient": {
"per_patient_value": "float",
"production": "float",
"hygiene_visits": "float"
}
}{
"errors": "not authorized"
}{
"errors": "access Denied"
}{
"errors": "resource not found"
}{
"errors": "..."
}Authorizations
JWT returned by POST /auth/token. Valid for six hours.
Request key returned by POST /locations/{location_id}/slots. Identifies the practice for a data request; valid for 6 hours (the access token's lifetime) and subject to the firm's concurrent-slot quota.
⌘I
Current stats
curl --request GET \
--url https://api.teamcaredental.com/api/v2/vendors/current/stats \
--header 'Authorization: Bearer <token>' \
--header 'X-Vendor-Request-Key: <api-key>'import requests
url = "https://api.teamcaredental.com/api/v2/vendors/current/stats"
headers = {
"Authorization": "Bearer <token>",
"X-Vendor-Request-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Vendor-Request-Key': '<api-key>'}
};
fetch('https://api.teamcaredental.com/api/v2/vendors/current/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.teamcaredental.com/api/v2/vendors/current/stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Vendor-Request-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.teamcaredental.com/api/v2/vendors/current/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Vendor-Request-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.teamcaredental.com/api/v2/vendors/current/stats")
.header("Authorization", "Bearer <token>")
.header("X-Vendor-Request-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.teamcaredental.com/api/v2/vendors/current/stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Vendor-Request-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"reactivation": {
"total": 0,
"had_hygiene": 0,
"never_had_hygiene": 0,
"eligible": 0,
"eligible_hygiene": 0,
"active_call_cycle": 0,
"attempts_mtd": 0,
"attended_mtd": 0
},
"accounts_receivable": [
{
"category": "string",
"number_of_patients": 0,
"total_balance": "string",
"average_balance": 0
},
{
"category": "string",
"number_of_patients": 0,
"total_balance": "string",
"average_balance": 0
},
{
"category": "string",
"number_of_patients": 0,
"total_balance": "string",
"average_balance": 0
},
{
"category": "string",
"number_of_patients": 0,
"total_balance": "string",
"average_balance": 0
}
],
"average_production_per_patient": {
"per_patient_value": "float",
"production": "float",
"hygiene_visits": "float"
}
}{
"errors": "not authorized"
}{
"errors": "access Denied"
}{
"errors": "resource not found"
}{
"errors": "..."
}
